<?xml version="1.0" encoding="UTF-8"?>

<!--
 *
 * This help file was generated from accsum_dblcompsum.sci using help_from_sci().
 *
 -->

<refentry version="5.0-subset Scilab" xml:id="accsum_dblcompsum" xml:lang="en"
          xmlns="http://docbook.org/ns/docbook"
          xmlns:xlink="http://www.w3.org/1999/xlink"
          xmlns:svg="http://www.w3.org/2000/svg"
          xmlns:ns3="http://www.w3.org/1999/xhtml"
          xmlns:mml="http://www.w3.org/1998/Math/MathML"
          xmlns:db="http://docbook.org/ns/docbook">


  <refnamediv>
    <refname>accsum_dblcompsum</refname><refpurpose>The doubly compensated sum of a matrix.</refpurpose>
  </refnamediv>



<refsynopsisdiv>
   <title>Calling Sequence</title>
   <synopsis>
   s = accsum_dblcompsum ( x )
   [s,e] = accsum_dblcompsum ( x )
   
   </synopsis>
</refsynopsisdiv>

<refsection>
   <title>Parameters</title>
   <variablelist>
   <varlistentry><term>x :</term>
      <listitem><para> a n-by-m matrix of doubles</para></listitem></varlistentry>
   <varlistentry><term>s :</term>
      <listitem><para> a 1-by-1 matrix of doubles, the highest significant digits of the sum</para></listitem></varlistentry>
   <varlistentry><term>e :</term>
      <listitem><para> a 1-by-1, matrix of doubles, the lowest significant digits of the sum</para></listitem></varlistentry>
   </variablelist>
</refsection>

<refsection>
   <title>Description</title>
   <para>
Returns the sum of x.
Algorithm 4.2 in SNAA (Doubly Compensated Summation)
Due to Priest (and Kahan)
Assumes that Scilab uses round-to-nearest.
   </para>
   <para>
</para>
</refsection>

<refsection>
   <title>Examples</title>
   <programlisting role="example"><![CDATA[
[s,e] = accsum_dblcompsum ( [2 1] ) // 3
[s,e] = accsum_dblcompsum ( [1 2] ) // 3
// is 1+(%eps/2) but is 1 without algo
[s,e] = accsum_dblcompsum ( [1 %eps/2 ] )
// is 1+(%eps/2) but is 1 without algo
[s,e] = accsum_dblcompsum ( [%eps/2 1] )

   ]]></programlisting>
</refsection>

<refsection>
   <title>Authors</title>
   <simplelist type="vert">
   <member>Michael Baudin, 2010</member>
   </simplelist>
</refsection>

<refsection>
   <title>Bibliography</title>
   <para>"Stability and numerical accuracy of algorithms", Nicolas Higham</para>
   <para>"Handbook of Floating Point Computations", Muller et al</para>
</refsection>
</refentry>
